<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Enum;

/**
 * We use enum cases that depend on constants to be able to use those constants in the grid filter for the admin (see config/grids/inventory_log_entry.yaml)
 * With Symfony 6.2 support for !php/enum in yaml config, those const will be removed
 */
enum ChannelPricingType: string
{
    /**
     * @deprecated use \Dedi\SyliusCustomerPricingPlugin\Enum\ChannelPricingType::DEFAULT->value instead
     */
    public const TYPE_DEFAULT = 'default';

    /**
     * @deprecated use \Dedi\SyliusCustomerPricingPlugin\Enum\ChannelPricingType::CUSTOMER->value instead
     */
    public const TYPE_CUSTOMER = 'customer';

    /**
     * @deprecated use \Dedi\SyliusCustomerPricingPlugin\Enum\ChannelPricingType::CUSTOMER_GROUP->value instead
     */
    public const TYPE_CUSTOMER_GROUP = 'customer_group';

    /**
     * @deprecated use \Dedi\SyliusCustomerPricingPlugin\Enum\ChannelPricingType::ORGANIZATION->value instead
     */
    public const TYPE_ORGANIZATION = 'organization';

    case DEFAULT = self::TYPE_DEFAULT;
    case CUSTOMER = self::TYPE_CUSTOMER;
    case CUSTOMER_GROUP = self::TYPE_CUSTOMER_GROUP;
    case ORGANIZATION = self::TYPE_ORGANIZATION;
}
