<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Entity;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\CustomerGroup\CustomerGroupChannelPricingInterface;
use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\CustomerGroup\CustomerGroupChannelPricingTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Customer\Model\CustomerGroupInterface;

/**
 * @ORM\Entity
 *
 * @ORM\Table(name="dedi_customer_pricing_customer_group_channel_pricing")
 */
class CustomerGroupChannelPricing extends ChannelPricing implements CustomerGroupChannelPricingInterface
{
    /**
     * @ORM\ManyToOne(targetEntity="Sylius\Component\Customer\Model\CustomerGroupInterface")
     * @ORM\JoinColumn(name="customer_group_id", referencedColumnName="id", nullable=false, onDelete="CASCADE")
     */
    protected ?CustomerGroupInterface $customerGroup = null;

    use CustomerGroupChannelPricingTrait;
}
